com.jscape.inet.sftp

## Class SftpFileNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.jscape.inet.sftp.SftpException
        - - com.jscape.inet.sftp.RequestException
          - - com.jscape.inet.sftp.SftpFileNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class SftpFileNotFoundException
      extends com.jscape.inet.sftp.RequestException

  Exception is thrown when attempting to retrieve a file from server that does not exist.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpFileNotFoundException(java.lang.String filename)` Creates a new SftpException instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFilename()` Gets filename that caused this exception

    - ### Methods inherited from class com.jscape.inet.sftp.RequestException

      `getCode`

    - ### Methods inherited from class com.jscape.inet.sftp.SftpException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpFileNotFoundException

          public SftpFileNotFoundException(java.lang.String filename)

      Creates a new SftpException instance.
      Parameters:
        `filename` - the filename that caused this exception

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Gets filename that caused this exception
      Returns:
        the filename

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved